///////////////////////////////////////////////
//
// **************************
// ** ENGLISH - 11/08/2015 **
//
// Project: libObfuscate v2.00
//
// THIS IS A FREE SOFTWARE
//
// This software is released under:
//
// * LGPL 3.0: http://www.gnu.org/licenses/lgpl.html
//
// Youre free to copy, distribute and make commercial use
// of this software under the following conditions:
//
// * You have to cite the author (and copyright owner): www.embeddedsw.net
// * You have to provide a link to the authors Homepage: http://www.embeddedsw.net/libobfuscate.html
//
///////////////////////////////////////////////

#ifndef GROSTL512_H
#define GROSTL512_H

// ** Thread-safe implementation

// ** Grostl hashing
// ** 512bit hash

#include "Grostl512_data.h"

extern	void Grostl512_init(GROSTL512_DATA *grostl);
extern	void Grostl512_data(GROSTL512_DATA *grostl,const BYTE *buffer,DWORD len);
extern	void Grostl512_finalize(GROSTL512_DATA *grostl,BYTE *hash);

#endif
