///////////////////////////////////////////////
//
// **************************
// ** ENGLISH - 11/08/2015 **
//
// Project: libObfuscate v2.00
//
// THIS IS A FREE SOFTWARE
//
// This software is released under:
//
// * LGPL 3.0: http://www.gnu.org/licenses/lgpl.html
//
// Youre free to copy, distribute and make commercial use
// of this software under the following conditions:
//
// * You have to cite the author (and copyright owner): www.embeddedsw.net
// * You have to provide a link to the authors Homepage: http://www.embeddedsw.net/libobfuscate.html
//
///////////////////////////////////////////////

#ifndef KECCAK512_H
#define KECCAK512_H

// ** Thread-safe implementation

// ** Keccak hashing
// ** 512bit hash

#include "Keccak512_data.h"

extern	void Keccak512_init(KECCAK512_DATA *keccak);
extern	void Keccak512_data(KECCAK512_DATA *keccak,const BYTE *buffer,DWORD len);
extern	void Keccak512_finalize(KECCAK512_DATA *keccak,BYTE *hash);

#endif
