///////////////////////////////////////////////
//
// **************************
// ** ENGLISH - 11/08/2015 **
//
// Project: libObfuscate v2.00
//
// THIS IS A FREE SOFTWARE
//
// This software is released under:
//
// * LGPL 3.0: http://www.gnu.org/licenses/lgpl.html
//
// Youre free to copy, distribute and make commercial use
// of this software under the following conditions:
//
// * You have to cite the author (and copyright owner): www.embeddedsw.net
// * You have to provide a link to the authors Homepage: http://www.embeddedsw.net/libobfuscate.html
//
///////////////////////////////////////////////

#ifndef KECCAK512_DATA_H
#define KECCAK512_DATA_H

// ** Thread-safe implementation

// ** Keccak hashing
// ** 512bit hash

typedef unsigned __int64	QWORD;

#define cKeccakB    1600
#define cKeccakR    512

typedef struct {
	BYTE	state[cKeccakB / 8];
	int		bitsInQueue;
} KECCAK512_DATA;

#endif
